@import "master.css";
@import "woocomerce_order.css";

footer{
    background-color: var(--verde-agua);
    margin: 0;
    margin-top: 100px;
}
.woocomerce{
    width: 100vw;
}

#customer_login{
    display: -webkit-inline-box;
    width: 60vw;
    margin-left: 23%;
}
#customer_login h2{
    text-align: center;
    text-transform: uppercase;
    font-weight: bold;
}
#customer_login label{
    font-size: 16px;
    font-weight: 500;
}
#customer_login input{
    padding: 12px;
    border-radius: 10px;
    width: 100%;
}
.required{
    color: red;
}
#customer_login button{
    width: 100%;
    color: var(--branco);
    background-color: var(--amarelo);
    padding: 10px;
    font-size: 20px;
}
#customer_login a{
    color: var(--laranja);
}

.login{
    background-color: var(--verde-agua);
    color: var(--branco);
    padding: 20px;
}
.registro{
    background-color: var(--verde-agua);
    color: var(--branco);
    padding: 20px;
    position: relative;
    float: right;
}
.woocommerce-form-login__rememberme{
    width: 100%;
}
.woocommerce-form-login__rememberme input{
    width: fit-content;
    max-width: 19px;
}
.woocommerce-form-login__rememberme span{
    width: 100%;
}


@media screen and (max-width: 768px){
    #customer_login{
        display: grid;
        width: 100vw;
        margin: 0;
        margin-top: 140px;
    }
    div.login{
        width: 100vw;
        max-width: 89vw;
    }
    .registro{
        margin-top: 30px;
        width: 100vw;
        max-width: 89vw;
    }

}



/* APOS LOGIN */

@media screen and (max-width: 768px){
    .woocommerce{
        padding-top: 100px;
    }
    .woocommerce-MyAccount-navigation{
        width: 100% !important;
    }
    .woocommerce-MyAccount-content{
        width: 100% !important;
    }
    .woocommerce-table.woocommerce-table--order-details.shop_table.order_details{
        margin-left: 1px;
    }
}

.minha-conta .row{
    margin: 0;
}

.woocommerce-MyAccount-navigation ul{
    list-style: none;
    border: 1px;
    border-color: var(--cinza);
    border-style: solid;
}
.woocommerce-MyAccount-navigation ul li{
    padding: 20px;
    font-weight: 500;
    font-size: 18px;

    border-bottom: 1px;
    border-color: var(--cinza);
    border-style: solid;
}
.woocommerce-MyAccount-navigation ul li a{
    color: var(--verde-agua);
}

.woocommerce-MyAccount-navigation ul li:last-child{
    border: 0;
}
.woocommerce-MyAccount-orders{
    width:100%;
    table-layout: fixed;
}
.woocommerce-MyAccount-orders tr:nth-child(even) {
    background: #EBEBEB;
}
.woocommerce-MyAccount-orders tr:nth-child(odd) {
    background: #F2F2F2;
}
.woocommerce-MyAccount-orders thead tr th{
    padding: 20px;
    font-size: 18px;
    background-color: var(--verde-agua);
    color: var(--branco);
}



.woocommerce-MyAccount-content a{
    color: var(--verde-agua);
    display: flex;
}
.woocommerce-MyAccount-content h3{
    color: var(--verde-agua);
}


/* endereços */
.woocommerce-address-fields__field-wrapper input,select{
    border:1px;
    border-radius: 10px;
    border-style: ridge;
    border-color: var(--verde-agua);
    padding: 5px;
    width: 100%;
}
.woocommerce-address-fields__field-wrapper p{
    display: inline-block;
    margin: 10px;
}
.woocommerce-address-fields__field-wrapper label{
    color: var(--verde-musgo);
    font-weight: 600;
}
.woocommerce-address-fields p button{
    width: 50%;
    color: var(--branco);
    background-color: var(--amarelo);
    padding: 10px;
    font-size: 20px;
    margin-top: 50px;
}

/* Relativos a conta */

.woocommerce-EditAccountForm input,select{
    border:1px;
    border-radius: 10px;
    border-style: ridge;
    border-color: var(--verde-agua);
    padding: 5px;
    width: 100%;
}
.woocommerce-EditAccountForm p{
    display: inline-block;
    margin: 10px;
}
.woocommerce-EditAccountForm label{
    color: var(--verde-musgo);
    font-weight: 600;
}
.woocommerce-EditAccountForm legend{
    margin-top: 50px;
    color: var(--verde-agua);
    font-weight: 800;
    font-size: 30px;
    margin-left: 15px;
}
.woocommerce-EditAccountForm p button{
    width: 100%;
    color: var(--branco);
    background-color: var(--amarelo);
    padding: 10px;
    font-size: 20px;
    margin-top: 50px;
}

@media screen and (max-width: 768px){
    .woocommerce form .form-row-last, .woocommerce-page form .form-row-last {
	float: left !important;
    }
}


/* Endereços */
@media screen and (min-width: 768px){
    .woocommerce-columns--addresses.addresses{
        display: inline-flex;
    }
}

/* endereço de faturamento */
.woocommerce-column.woocommerce-column--1.woocommerce-column--billing-address{
    padding: 0;
}
.woocommerce-column.woocommerce-column--1.woocommerce-column--billing-address h2{
    font-size: 28px;
	color: var(--verde-agua);
}

/* endereço de cobrança */
.woocommerce-column.woocommerce-column--2.woocommerce-column--shipping-address{
    padding: 0;
}
.woocommerce-column.woocommerce-column--2.woocommerce-column--shipping-address h2{
    font-size: 28px;
	color: var(--verde-agua);
}
